1

Kindly assist me on following upgrade issue.

My Arbiter upgrade (thru yum update -y ) has been failed with following error.

2019-10-19T07:19:25.944-0400 I CONTROL  [initandlisten]
2019-10-19T07:19:25.958-0400 F CONTROL  [initandlisten] ** IMPORTANT: UPGRADE PROBLEM: The data files need to be fully upgraded to version 3.4 before attempting an upgrade to 3.6; see http://dochub.mongodb.org/core/3.6-upgrade-fcv for more details.
2019-10-19T07:19:25.958-0400 I NETWORK  [initandlisten] shutdown: going to close listening so2019-10-19T07:19:25.944-0400 I CONTROL  [initandlisten]
2019-10-19T07:19:25.958-0400 F CONTROL  [initandlisten] ** IMPORTANT: UPGRADE PROBLEM: The data files need to be fully upgraded to version 3.4 before attempting an upgrade to 3.6; see http://dochub.mongodb.org/core/3.6-upgrade-fcv for more details.
2019-10-19T07:19:25.958-0400 I NETWORK  [initandlisten] shutdown: going to close listening so

Primary and secondary database FCV version was showing 3.4 , where as Arbiter FCV was showing 3.2 in place of 3.4

following error was also there in rs.status()

name" : "arbiter1:27017",
   "health" : 0,
   "state" : 8,
   "stateStr" : "(not reachable/healthy)",



version status .
replica01 3.4.23 Secondary
replica02 3.4.23 Primary 
replica02  3.4.23 ARBITER 

Configuration file of three node.

replica01 :

storage:
  dbPath: /data
  engine: mmapv1
systemLog:
  destination: file
  path: /var/log/mongodb/mongod.log
  logAppend: true
processManagement:
  fork: true
  pidFilePath: /var/run/mongodb/mongod.pid
replication:
  replSetName: productionReplica
 *********************
replica02
storage:
  dbPath: /var/lib/mongo
  engine: mmapv1
  journal:
    enabled: true
systemLog:
  destination: file
  path: /var/log/mongodb/mongod.log
  logAppend: true
processManagement:
  fork: true
  pidFilePath: /var/run/mongodb/mongod.pid
replication:
  replSetName: productionReplica
net:
  port: 27017
 #bindIp: 127.0.0.1 
*******************************************************
replica03 
storage:
  dbPath: /var/lib/mongo
  engine: mmapv1
systemLog:
  destination: file
  path: /var/log/mongodb/mongod.log
  logAppend: true
processManagement:
  fork: true
  pidFilePath: /var/run/mongodb/mongod.pid
replication:
  replSetName: productionReplica

Please advise how to fix the issue , Seems Arbiter always show FCV one version behind primary database .

Regards Anurag

  • Arbiters always return the previous version of FCV by design. Since arbiters do not replicate data they do not learn the FCV from other members of the replica set and always use the previous FCV version to allow for upgrades/downgrades. If you restart your arbiter with the latest 3.6.x mongod, it should work as expected. – Stennie Oct 20 at 18:46
  • I was getting same error while starting with 3.6 version . – Anurag Agnihotri Oct 21 at 17:15

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.